
Redmine - Defect #6476

Subproject's issues are not shown in the subproject's gantt

2010-09-23 14:34 - Yuki Kita

Status: Closed Start date: 2010-09-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

When the version of a subproject's issue is shared with projects, the subproject' issue is not shown in the subproject's gantt. (Shown

only in the parent project's gantt)

The behavior changed after the gantt rewrite.

Related issues:

Related to Redmine - Defect #5817: Shared versions not shown in subproject's ... Closed 2010-07-05

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Has duplicate Redmine - Defect #7606: Gantt view displays sub-project tasks i... Closed 2011-02-11

Associated revisions

Revision 5077 - 2011-03-10 19:07 - Jean-Philippe Lang

Gantt: do not ignore project filter (#7000, #7352), do not display empty projects/versions, and display shared versions used in other projects (#5817,

#6476, #6604).

History

#1 - 2010-10-14 14:12 - Sascha Kirchner

+1

#2 - 2010-12-15 14:42 - Pieter V

I've just installed the development release to see how the new gantt feature works and experienced the same issue.

+ when viewing the gantt chart of the parent project you get:

master project

 | - shared version (created on master project)

 |       |-- issue created in master project (target version assigned to shared version)

 |       |-- issue created in subproject (target version assigned to shared version)

 |

 | subproject

 instead of

master project

 | - shared version (created on master project)

 |       |-- issue created in master project (target version assigned to shared version)

 |

 | subproject

       | - shared version (created on master project)

                 |-- issue created in subproject (target version assigned to shared version)

#3 - 2011-01-26 18:16 - Etienne Massip

Could someone try this patch at #7456 ?

#4 - 2011-02-11 06:15 - Yuki Kita

Etienne

I tested the gantt_filters.patch  at #7456 , and confirmed this issue was fixed.

I appreciate your work.

Thank you.
https://www.redmine.org/issues/7456
http://www.redmine.org/attachments/5281/gantt_filters.patch
https://www.redmine.org/issues/7456


#5 - 2011-03-10 19:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5077.
https://www.redmine.org/projects/redmine/repository/svn/revisions/5077
